
Foreman - Bug #24150

Icon broken for Operating Systems based on XenServer

07/03/2018 04:54 PM - David Coppit

Status: Closed   

Priority: Normal   

Assignee: boaz shust   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6328

  

Description

In operatingsystems_helper.rb, the code has a case statement based on record.name, defaulting to record.family if there is no

match.

For operating systems based on XenServer, this defaults to the value of "Xenserver" (lower case "s"). However, the image is named

"XenServer.png" (upper case "s").

One workaround is this patch:

--- operatingsystems_helper.rb.orig    2018-07-03 16:33:15.763945937 0000

++ operatingsystems_helper.rb    2018-07-03 16:49:26.710467826 +0000

@ -43,6 +43,10 @

record.family

end

+    if family == "Xenserver"

+        family = "XenServer"

+    end

image_tag(family".png", opts) + " "

end

However, a better fix might be to rename the family to "XenServer".

I also wonder if the case statement should be based on record.family...

Associated revisions

Revision d4aa8d22 - 12/13/2018 12:24 PM - Boaz Shuster 

Fixes #24150 - Icon broken for Operating Systems

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1 - 12/12/2018 02:42 PM - boaz shust

- Assignee set to boaz shust

#2 - 12/12/2018 09:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6328 added

#3 - 12/13/2018 01:02 PM - Anonymous

- Status changed from Ready For Testing to Closed
Applied in changeset d4aa8d22c520fc7a31c0e62508267ea4230239c5.

#4 - 01/02/2019 01:20 PM - Tomer Brisker

- Fixed in Releases 1.21.0 added

#5 - 01/06/2019 03:32 PM - Tomer Brisker

- Category set to Web Interface
